Package ghidra.debug.api.listing

# Class MultiBlendedListingBackgroundColorModel

java.lang.Object
ghidra.debug.api.listing.MultiBlendedListingBackgroundColorModel

All Implemented Interfaces:
  `BackgroundColorModel`, `ListingBackgroundColorModel`

public class MultiBlendedListingBackgroundColorModel extends Object implements ListingBackgroundColorModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiBlendedListingBackgroundColorModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addModel(BackgroundColorModel m)`
  `Color`
  `getBackgroundColor(BigInteger index)`
  `Color`
  `getDefaultBackgroundColor()`
  `void`
  `modelDataChanged(ListingPanel listingPanel)`
  Called when the `AddressIndexMap` or the `Program` changes.
  `void`
  `removeModel(BackgroundColorModel m)`
  `void`
  `setDefaultBackgroundColor(Color c)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiBlendedListingBackgroundColorModel

    public MultiBlendedListingBackgroundColorModel()

- ## Method Details

  - ### addModel

    public void addModel(BackgroundColorModel m)

  - ### removeModel

    public void removeModel(BackgroundColorModel m)

  - ### getBackgroundColor

    public Color getBackgroundColor(BigInteger index)
    Specified by:
      `getBackgroundColor` in interface `BackgroundColorModel`

  - ### getDefaultBackgroundColor

    public Color getDefaultBackgroundColor()
    Specified by:
      `getDefaultBackgroundColor` in interface `BackgroundColorModel`

  - ### setDefaultBackgroundColor

    public void setDefaultBackgroundColor(Color c)
    Specified by:
      `setDefaultBackgroundColor` in interface `BackgroundColorModel`

  - ### modelDataChanged

    public void modelDataChanged(ListingPanel listingPanel)
    Description copied from interface: `ListingBackgroundColorModel`
    Called when the `AddressIndexMap` or the `Program` changes.
    Specified by:
      `modelDataChanged` in interface `ListingBackgroundColorModel`
    Parameters:
      `listingPanel` - the `ListingPanel` that changed and where the new `AddressIndexMap` and `Program` can be retrieved.